cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral

## Class RQA_I10

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RQA_I08_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RQA_I10

-     public final class RQA_I10
      extends RQA_I08_Common

  RQA_I10 - Request for Resubmission of an Authorization (Event I10). This message is use to apply a request for treatment authorization. Although this message also pertains to the payor, it differs greatly from that of an insurance information request.

  Represents a RQA_I08 message structure (see chapter 11.4.4). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: RF1 (Referral Information Segment) SINGLE_OPTIONAL
  4: AUTHORIZATION (a Group in RQA_I08 message) SINGLE_OPTIONAL
  5: PROVIDER (a Group in RQA_I08 message) MULTIPLE_COMPULSARY
  6: PID (Patient Identification Segment) SINGLE_COMPULSARY
  7: NK1 (Next of Kin / Associated Parties Segment) MULTIPLE_OPTIONAL
  8: GUARANTOR_INSURANCE (a Group in RQA_I08 message) SINGLE_OPTIONAL
  9: ACC (Accident Segment) SINGLE_OPTIONAL
  10: DG1 (Diagnosis Segment) MULTIPLE_OPTIONAL
  11: DRG (Diagnosis Related Group Segment) MULTIPLE_OPTIONAL
  12: AL1 (Patient Allergy Information Segment) MULTIPLE_OPTIONAL
  13: PROCEDURE (a Group in RQA_I08 message) MULTIPLE_OPTIONAL
  14: OBSERVATION (a Group in RQA_I08 message) MULTIPLE_OPTIONAL
  15: VISIT (a Group in RQA_I08 message) SINGLE_OPTIONAL
  16: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  RQA_I10 objI10 = (RQA_I10)MessageFactory.createInstance().createSendSupportedMessage("RQA", "I10");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RQA_I08_Common

      `addAllergyInformationSegment, addAllergyInformationSegments, addDiagnosisRelatedGroupSegment, addDiagnosisRelatedGroupSegments, addDiagnosisSegment, addDiagnosisSegments, addNextOfKinSegment, addNextOfKinSegments, addNotesAndCommentsSegment, addNotesAndCommentsSegments, addObservationGroup, addObservationGroups, addProcedureGroup, addProcedureGroups, addProviderGroup, addProviderGroups, addSoftwareSegment, addSoftwareSegment, getAccidentInformationSegment, getAllergyInformationSegments, getAuthorizationGroup, getDiagnosisRelatedGroupSegments, getDiagnosisSegments, getGuarantorInsuranceGroup, getNextOfKinSegments, getNotesAndCommentsSegments, getObservationGroups, getPatientIdentificationSegment, getProcedureGroups, getProviderGroups, getReferralInformationSegment, getSoftwareSegments, getUserAuthenticationCredentialSegment, getVisitGroup, setAccidentInformationSegment, setAuthorizationGroup, setGuarantorInsuranceGroup, setPatientIdentificationSegment, setReferralInformationSegment, setUserAuthenticationCredentialSegment, setVisitGroup`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`